XScreenSaver(1)

NAME
maze3d - A 3D maze.

SYNOPSIS
maze3d [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--speed float] [--delay number] [--fps] [--rows number] [--columns number] [--overlay] [--wall-texture texture] [--floor-texture texture] [--ceiling-texture texture] [--drop-acid] [--drop-acid-walls] [--drop-acid-floor] [--drop-acid-ceiling] [--inverters number] [--rats number]

DESCRIPTION
A recreation of the 3D Maze screensaver from Windows 95.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--speed number
    Speed of the dungeon crawl. 2 is twice as fast, 0.5 is half as fast.

--delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds).

--fps | --no-fps
    Display the current frame rate and CPU load.

--rows number
    The number of rows in the maze. Default: 12.

--columns number
    The number of columns in the maze. Default: 12.

--overlay
    Overlays a minimap of the maze on the screen.

--wall-texture texture
    Sets the wall texture. texture can be a path to an image file, or it can be one of the built-in textures (see TEXTURES below).

--floor-texture texture
    Sets the floor texture. texture can be a path to an image file, or it can be one of the built-in textures (see TEXTURES below).

--ceiling-texture texture
    Sets the ceiling texture. texture can be a path to an image file, or it can be one of the built-in textures (see TEXTURES below).

--drop-acid-walls
    Continuously shifts the hue of the wall texture. (This looks like an LSD trip, hence the name.)

--drop-acid-floor
    Continuously shifts the hue of the floor texture.

--drop-acid-ceiling
    Continuously shifts the hue of the ceiling texture.

--drop-acid
    Turns on all three.

--inverters number
    Sets the number of inverters (the spinny grey things that flip the camera upside-down) in the maze. Default: 10.

--rats number
    Sets the number of rats, or rather "Bobs", in the maze. Default: 1.

TEXTURES
The wall, ceiling, and floor textures can be set to one of the following:

brick-wall
    A brick wall. This is the default wall texture.

wood-floor
    A wooden floor. This is the default floor texture.

ceiling-tiles
    Ceiling tiles. This is the default ceiling texture.

You can also specify a path to an image file, instead of using one of the built-in textures.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2018 by sudoer@riseup.net. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.